## libindi 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.7)
PROJECT(libindi C CXX)

##################  INDI version  ################################
set(INDI_SOVERSION "0")
set(CMAKE_INDI_VERSION_MAJOR 0)
set(CMAKE_INDI_VERSION_MINOR 9)
set(CMAKE_INDI_VERSION_RELEASE 6)
set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")

##################  Paths  ################################
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
set(UDEVRULES_INSTALL_DIR "/etc/udev/rules.d")

IF(APPLE)
set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
ENDIF(APPLE)

##################  setup install directories  ################################
set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name")
## the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")

##################  Includes  ################################
Include (CheckCXXSourceCompiles)
include (MacroOptionalFindPackage)
include (MacroLogFeature)
include (MacroBoolTo01)
include (CheckIncludeFiles)

FIND_PACKAGE(ZLIB REQUIRED)
FIND_PACKAGE(USB REQUIRED)
FIND_PACKAGE(CFITSIO REQUIRED)

if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)

macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")

macro_optional_find_package(Nova)
macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")

check_include_files(linux/videodev2.h HAVE_LINUX_VIDEODEV2_H)
check_include_files(termios.h TERMIOS_FOUND)
macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if(COMMAND cmake_policy)
 cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_SOURCE_DIR})
include_directories( ${CMAKE_SOURCE_DIR}/libs)
include_directories( ${CMAKE_SOURCE_DIR}/libs/webcam)

if (CFITSIO_FOUND)
  include_directories(${CFITSIO_INCLUDE_DIR})
endif (CFITSIO_FOUND)

if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif (NOVA_FOUND)

set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )

set(libindicom_SRCS
	${CMAKE_SOURCE_DIR}/libs/indicom.c
	${CMAKE_SOURCE_DIR}/base64.c
	)

set(libwebcam_SRCS
	${CMAKE_SOURCE_DIR}/libs/webcam/PPort.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/port.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/v4l2_base.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/ccvt_c2.c
	${CMAKE_SOURCE_DIR}/libs/webcam/ccvt_misc.c
	)

set (indimain_SRCS
        ${CMAKE_SOURCE_DIR}/indidriver.c
	${CMAKE_SOURCE_DIR}/indidrivermain.c
	${CMAKE_SOURCE_DIR}/eventloop.c
    )

set (indiclient_SRCS
        ${CMAKE_SOURCE_DIR}/libs/indibase/basedevice.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indiproperty.cpp
    )

set (indidriver_SRCS
        ${CMAKE_SOURCE_DIR}/libs/indibase/basedevice.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdevice.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indiproperty.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.cpp
        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.cpp



    )


######################################
########### INDI SERVER ##############
######################################

set(indiserver_SRCS indiserver.c fq.c)

add_executable(indiserver ${indiserver_SRCS} ${liblilxml_SRCS})

target_link_libraries(indiserver pthread)

if (NOVA_FOUND)
  target_link_libraries(indiserver ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indiserver RUNTIME DESTINATION bin)

#################################################
############# INDI Shared Library ###############
# To offer lilxml and communination routines    #
# Mostly used by generic clients                #
#################################################
add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
target_link_libraries(indi m z)

if (NOVA_FOUND)
target_link_libraries(indi ${NOVA_LIBRARIES})
endif(NOVA_FOUND)
if (CFITSIO_FOUND)
target_link_libraries(indi ${CFITSIO_LIBRARIES})
endif(CFITSIO_FOUND)

install(TARGETS indi LIBRARY DESTINATION ${LIB_DESTINATION})
set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})

###################################################
############ INDI Main Shared Library #############
# To link with main() for 3rd party legacy drivers#
###################################################
add_library(indimain SHARED ${indimain_SRCS} ${libindicom_SRCS} ${liblilxml_SRCS})
if (NOVA_FOUND)
target_link_libraries(indimain ${NOVA_LIBRARIES})
endif(NOVA_FOUND)
if (CFITSIO_FOUND)
target_link_libraries(indimain ${CFITSIO_LIBRARIES})
endif(CFITSIO_FOUND)

install(TARGETS indimain LIBRARY DESTINATION ${LIB_DESTINATION})
set_target_properties(indimain PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})

##################################################
########## INDI Default Driver Library ###########
# To link with main() and indibase classes  ######
##################################################
add_library(indidriver SHARED ${libindicom_SRCS} ${liblilxml_SRCS} ${indimain_SRCS} ${indidriver_SRCS})
target_link_libraries(indidriver ${LIBUSB_LIBRARIES})
if (NOVA_FOUND)
target_link_libraries(indidriver ${NOVA_LIBRARIES})
endif(NOVA_FOUND)
if (CFITSIO_FOUND)
target_link_libraries(indidriver ${CFITSIO_LIBRARIES})
endif(CFITSIO_FOUND)
install(TARGETS indidriver LIBRARY DESTINATION ${LIB_DESTINATION})
set_target_properties(indidriver PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})

#install(TARGETS indidriver ARCHIVE DESTINATION ${LIB_DESTINATION})

##################################################
########### INDI Client Static Library ###########
##################################################
add_library(indiclient STATIC ${indiclient_SRCS})
target_link_libraries(indiclient indi pthread)
install(TARGETS indiclient ARCHIVE DESTINATION ${LIB_DESTINATION})

#####################################
########## TELESCOPE GROUP ##########
#####################################

########### LX200 Basic #############
set(lx200basic_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200basic.cpp )

add_executable(indi_lx200basic ${lx200basic_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

if (NOVA_FOUND)
  target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_lx200basic RUNTIME DESTINATION bin )

#################################################################################

########### LX200 Generic ###########
set(lx200generic_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200autostar.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200_16.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp 
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)

add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_lx200generic  m )

if (NOVA_FOUND)
  target_link_libraries(indi_lx200generic ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
")
set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
#################################################################################

########### Celestron GPS ############
set(celestrongps_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/celestronprotocol.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/celestrongps.cpp )

add_executable(indi_celestron_gps ${celestrongps_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_celestron_gps m )


if (NOVA_FOUND)
  target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin )

#################################################################################

########### Takahashi Temma ##########
if (NOVA_FOUND)

set(temma_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/temmadriver.c )

add_executable(indi_temma ${temma_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_temma  ${NOVA_LIBRARIES} m )

install(TARGETS indi_temma RUNTIME DESTINATION bin )

endif (NOVA_FOUND)
#################################################################################

########### Sky Commander #############
set(skycommander_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/skycommander.c )

add_executable(indi_skycommander ${skycommander_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_skycommander  m )

if (NOVA_FOUND)
  target_link_libraries(indi_skycommander ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_skycommander  RUNTIME DESTINATION bin )

#################################################################################

########### Intelliscope ###############
set(intelliscope_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/intelliscope.c )

add_executable(indi_intelliscope ${intelliscope_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

=== debian/changelog ===
libindi (0.9.6-0ubuntu1) raring; urgency=low

  * New upstream release
  * New shared libraries libindimain and libindidriver
    - Binary packages libindimain0b and libindidriver0b
    - Shared dev package in libindi-dev
    - Update abi.diff to ensure the library versions are set correctly
  * Reintroduce symbol files as the source now builds two C and one CPP
    shared library
    - libindi0b.symbols (C)
    - libindimain0b.symbols (C)
    - libindidriver0b.symbols (CPP) - use pkg-kde-tools' symbol helpers to
      update

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 21 Nov 2012 22:59:21 +0100

=== debian/control ===
Source: libindi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 cmake (>= 2.4.7),
 libcfitsio3-dev,
 libfli-dev,
 libnova-dev (>= 0.14.0),
 libusb-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.indilib.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git

Package: libindi0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: indi-bin (>= ${source:Version})
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindimain0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- main library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindidriver0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- driver library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
 libindidriver0b (= ${binary:Version}), ${misc:Depends},
 libusb-dev, libcfitsio3-dev
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

Package: indi-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
 libindidriver0b (= ${binary:Version}), ${misc:Depends}
Suggests: indi-bin (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Instrument-Neutral Device Interface library -- debug symbols
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the debug symbols for the INDI library and all the
 utilities, useful to investigate problems in INDI.

## libindi 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(INDI_SOVERSION "0")
 set(CMAKE_INDI_VERSION_MAJOR 0)
 set(CMAKE_INDI_VERSION_MINOR 9)
-set(CMAKE_INDI_VERSION_RELEASE 6)
+set(CMAKE_INDI_VERSION_RELEASE 7)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
 ##################  Paths  ################################
@@ -13,7 +13,6 @@
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
-set(UDEVRULES_INSTALL_DIR "/etc/udev/rules.d")
 
 IF(APPLE)
 set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
@@ -25,6 +24,7 @@
 ## the following are directories where stuff will be installed to
 set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
 set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
+set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
 
 ##################  Includes  ################################
 Include (CheckCXXSourceCompiles)
@@ -36,6 +36,7 @@
 FIND_PACKAGE(ZLIB REQUIRED)
 FIND_PACKAGE(USB REQUIRED)
 FIND_PACKAGE(CFITSIO REQUIRED)
+FIND_PACKAGE(Nova REQUIRED)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
   message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
@@ -44,7 +45,6 @@
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
-macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
 macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
 
@@ -61,15 +61,14 @@
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
 include_directories( ${CMAKE_SOURCE_DIR})
 include_directories( ${CMAKE_SOURCE_DIR}/libs)
+include_directories( ${CMAKE_SOURCE_DIR}/libs/indibase)
 include_directories( ${CMAKE_SOURCE_DIR}/libs/webcam)
 
 if (CFITSIO_FOUND)
   include_directories(${CFITSIO_INCLUDE_DIR})
 endif (CFITSIO_FOUND)
 
-if (NOVA_FOUND)
-    include_directories(${NOVA_INCLUDE_DIR})
-endif (NOVA_FOUND)
+include_directories(${NOVA_INCLUDE_DIR})
 
 set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )
 
@@ -109,25 +108,18 @@
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.cpp
-
-
-
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indilogger.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indicontroller.cpp
     )
-
 
 ######################################
 ########### INDI SERVER ##############
 ######################################
-
 set(indiserver_SRCS indiserver.c fq.c)
 
 add_executable(indiserver ${indiserver_SRCS} ${liblilxml_SRCS})
 
-target_link_libraries(indiserver pthread)
-
-if (NOVA_FOUND)
-  target_link_libraries(indiserver ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indiserver ${NOVA_LIBRARIES} pthread)
 
 install(TARGETS indiserver RUNTIME DESTINATION bin)
 
@@ -137,11 +129,8 @@
 # Mostly used by generic clients                #
 #################################################
 add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
-target_link_libraries(indi m z)
-
-if (NOVA_FOUND)
-target_link_libraries(indi ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+target_link_libraries(indi ${NOVA_LIBRARIES} m z)
+
 if (CFITSIO_FOUND)
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -154,9 +143,9 @@
 # To link with main() for 3rd party legacy drivers#
 ###################################################
 add_library(indimain SHARED ${indimain_SRCS} ${libindicom_SRCS} ${liblilxml_SRCS})
-if (NOVA_FOUND)
+
 target_link_libraries(indimain ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+
 if (CFITSIO_FOUND)
 target_link_libraries(indimain ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -169,10 +158,7 @@
 # To link with main() and indibase classes  ######
 ##################################################
 add_library(indidriver SHARED ${libindicom_SRCS} ${liblilxml_SRCS} ${indimain_SRCS} ${indidriver_SRCS})
-target_link_libraries(indidriver ${LIBUSB_LIBRARIES})
-if (NOVA_FOUND)
-target_link_libraries(indidriver ${NOVA_LIBRARIES})
-endif(NOVA_FOUND)
+target_link_libraries(indidriver ${LIBUSB_LIBRARIES} ${NOVA_LIBRARIES})
 if (CFITSIO_FOUND)
 target_link_libraries(indidriver ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
@@ -200,9 +186,7 @@
 
 add_executable(indi_lx200basic ${lx200basic_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
 
-if (NOVA_FOUND)
-  target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES} ${NOVA_LIBRARIES})
 
 install(TARGETS indi_lx200basic RUNTIME DESTINATION bin )
 
@@ -216,54 +200,60 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200_16.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp 
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
-
-add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_lx200generic  m )
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_lx200generic ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp)
+
+add_executable(indi_lx200generic ${lx200generic_SRCS})
+
+target_link_libraries(indi_lx200generic indidriver ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
 
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
-"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
+"exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
 ")
 set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
 #################################################################################
 
+########### LX200 Generic Legacy ###########
+set(lx200genericlegacy_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200genericlegacy.cpp
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
+
+add_executable(indi_lx200genericlegacy ${lx200genericlegacy_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_lx200genericlegacy ${NOVA_LIBRARIES} m )
+
+install(TARGETS indi_lx200genericlegacy RUNTIME DESTINATION bin )
+
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200genericlegacy_symlink.cmake
+"exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200genericlegacy \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200genericlegacy \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
+")
+set_target_properties(indi_lx200genericlegacy PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200genericlegacy_symlink.cmake)
+#################################################################################
+
 ########### Celestron GPS ############
 set(celestrongps_SRCS
    ${indimain_SRCS}
    ${CMAKE_SOURCE_DIR}/drivers/telescope/celestronprotocol.c
    ${CMAKE_SOURCE_DIR}/drivers/telescope/celestrongps.cpp )
 
-add_executable(indi_celestron_gps ${celestrongps_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_celestron_gps m )
-
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+add_executable(indi_celestron_gps ${celestrongps_SRCS})
+
+target_link_libraries(indi_celestron_gps indidriver ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin )
 
 #################################################################################
 
 ########### Takahashi Temma ##########
-if (NOVA_FOUND)
-
 set(temma_SRCS
    ${indimain_SRCS}
    ${CMAKE_SOURCE_DIR}/drivers/telescope/temmadriver.c )
@@ -273,8 +263,6 @@
 target_link_libraries(indi_temma  ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_temma RUNTIME DESTINATION bin )
-
-endif (NOVA_FOUND)
 #################################################################################
 
 ########### Sky Commander #############
@@ -285,21 +273,7 @@
 
 add_executable(indi_skycommander ${skycommander_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
 
-target_link_libraries(indi_skycommander  m )
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_skycommander ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+target_link_libraries(indi_skycommander  ${NOVA_LIBRARIES} m )
 
 install(TARGETS indi_skycommander  RUNTIME DESTINATION bin )
 
-#################################################################################
-
-########### Intelliscope ###############
-set(intelliscope_SRCS
-   ${indimain_SRCS}
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/intelliscope.c )
-
-add_executable(indi_intelliscope ${intelliscope_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-

=== debian/changelog ===
libindi (0.9.7-0ubuntu4) trusty; urgency=medium

  * Fix another build failure on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Apr 2014 19:15:29 +0200

libindi (0.9.7-0ubuntu3) trusty; urgency=medium

  * Fix build failure on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 15:04:13 +0100

libindi (0.9.7-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Bump soname for missing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 13:28:34 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0b
+Package: libindi0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -33,7 +33,7 @@
  .
  This package contains the shared library.
 
-Package: libindimain0b
+Package: libindimain0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -49,7 +49,7 @@
  .
  This package contains the shared library.
 
-Package: libindidriver0b
+Package: libindidriver0c
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -68,8 +68,8 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
- libindidriver0b (= ${binary:Version}), ${misc:Depends},
+Depends: libindi0c (= ${binary:Version}), libindimain0c (= ${binary:Version}),
+ libindidriver0c (= ${binary:Version}), ${misc:Depends},
  libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -111,8 +111,8 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0b (= ${binary:Version}), libindimain0b (= ${binary:Version}),
- libindidriver0b (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0c (= ${binary:Version}), libindimain0c (= ${binary:Version}),
+ libindidriver0c (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=indi-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V
